package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability3156/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaTclsAelophyBillVerificateCallbackRequest struct {
	/*
	   回调对象     */
	Module *domain.AlibabaTclsAelophyBillVerificateCallbackVerificateCallbackDto `json:"module,omitempty" required:"false" `
}

func (s *AlibabaTclsAelophyBillVerificateCallbackRequest) SetModule(v domain.AlibabaTclsAelophyBillVerificateCallbackVerificateCallbackDto) *AlibabaTclsAelophyBillVerificateCallbackRequest {
	s.Module = &v
	return s
}

func (req *AlibabaTclsAelophyBillVerificateCallbackRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Module != nil {
		paramMap["module"] = util.ConvertStruct(*req.Module)
	}
	return paramMap
}

func (req *AlibabaTclsAelophyBillVerificateCallbackRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
